Não consigo instalar Wine [RESOLVIDO]

1. Não consigo instalar Wine [RESOLVIDO]

Felipe Silva
drecksama

(usa Debian)

Enviado em 11/02/2020 - 18:54h

Opa pessoal, tudo bem? Eu estou querendo instalar Wine para jogar League of Legends via Lutris, só que não estou conseguindo, eu segui a indicação do site oficial do Wine (https://wiki.winehq.org/Debian) mas mesmo assim não vai, dá erro no último comando. Estou fazendo da seguinte forma:
sudo dpkg --add-architecture i386 

wget -nc https://dl.winehq.org/wine-builds/winehq.key
sudo apt-key add winehq.key

sudo nano /etc/apt/sources.list  

E adiciono este repositório na lista via nano deb https://dl.winehq.org/wine-builds/debian/ buster main
sudo apt update 

E, por fim, tento instalar a versão estável do Wine no meu Debian 10.2 Buster
sudo apt install --install-recommends winehq-stable 

Mas quando eu coloco esse código, aparece isso:
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Alguns pacotes não puderam ser instalados. Isto pode significar que
você solicitou uma situação impossível ou, se você está usando a
distribuição instável, que alguns pacotes requeridos não foram
criados ainda ou foram retirados da "Incoming".
A informação a seguir pode ajudar a resolver a situação:

Os pacotes a seguir têm dependências desencontradas:
winehq-stable : Depende: wine-stable (= 5.0.0~buster)
E: Impossível corrigir problemas, você manteve (hold) pacotes quebrados.


Já tentei instalar o wine-stable, já que é uma dependência, mas quando eu tento instalar aparece outras dependências, eu tento instalar essas e aparece outras dependências e, por fim, tem uma ou duas dependências que não dá para instalar, então continua dando o mesmo erro. O que eu faço para corrigir? Estou fazendo algo de errado?



  


2. MELHOR RESPOSTA

João Cláudio de Alcântara
aguamole

(usa Lubuntu)

Enviado em 11/02/2020 - 20:15h

A versão do winehq-stable da para ver no repositório oficial que por algum motivo eles não compilo a versão.
O winehq-devel esta disponível use esse tem mais recursos.
Repito o problema é no winehq repository esta faltando o pacote.

CPU i5-8400 GTX 750 SofRaid 4xSSD 16GB DDR4 mesmo assim uso Lubuntu.

3. Re: Não consigo instalar Wine [RESOLVIDO]

Marcelo Oliver
msoliver

(usa Debian)

Enviado em 11/02/2020 - 19:05h


drecksama escreveu:

Opa pessoal, tudo bem? Eu estou querendo instalar Wine para jogar League of Legends via Lutris, só que não estou conseguindo, eu segui a indicação do site oficial do Wine (https://wiki.winehq.org/Debian) mas mesmo assim não vai, dá erro no último comando. Estou fazendo da seguinte forma:
sudo dpkg --add-architecture i386 

wget -nc https://dl.winehq.org/wine-builds/winehq.key
sudo apt-key add winehq.key

sudo nano /etc/apt/sources.list  

E adiciono este repositório na lista via nano deb https://dl.winehq.org/wine-builds/debian/ buster main
sudo apt update 

E, por fim, tento instalar a versão estável do Wine no meu Debian 10.2 Buster
sudo apt install --install-recommends winehq-stable 

Mas quando eu coloco esse código, aparece isso:
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Alguns pacotes não puderam ser instalados. Isto pode significar que
você solicitou uma situação impossível ou, se você está usando a
distribuição instável, que alguns pacotes requeridos não foram
criados ainda ou foram retirados da "Incoming".
A informação a seguir pode ajudar a resolver a situação:

Os pacotes a seguir têm dependências desencontradas:
winehq-stable : Depende: wine-stable (= 5.0.0~buster)
E: Impossível corrigir problemas, você manteve (hold) pacotes quebrados.


Já tentei instalar o wine-stable, já que é uma dependência, mas quando eu tento instalar aparece outras dependências, eu tento instalar essas e aparece outras dependências e, por fim, tem uma ou duas dependências que não dá para instalar, então continua dando o mesmo erro. O que eu faço para corrigir? Estou fazendo algo de errado?

Boa noite.
Vai instalar no Debian?
Pergunto pq na sua assinatura, consta "Ubuntu".



______________________________________________________________________
Importante: echo -e "\n$(lynx --dump goo.gl/a9KeFc|sed -nr '/^[ ]+Se/,/dou.$/p')\n"
Att.: Marcelo Oliver
______________________________________________________________________


4. Re: Não consigo instalar Wine [RESOLVIDO]

Matheus
pylm

(usa Gentoo)

Enviado em 11/02/2020 - 19:06h

E tu ta usando debian buster mesmo?


5. Re: Não consigo instalar Wine [RESOLVIDO]

Felipe Silva
drecksama

(usa Debian)

Enviado em 11/02/2020 - 19:16h

Boa noite.
Vai instalar no Debian?
Pergunto pq na sua assinatura, consta "Ubuntu".


Sim, eu vou instalar no Debian, consta Ubuntu porque eu usava Ubuntu.





6. Re: Não consigo instalar Wine [RESOLVIDO]

Felipe Silva
drecksama

(usa Debian)

Enviado em 11/02/2020 - 19:18h

pylm escreveu:

E tu ta usando debian buster mesmo?


Sim, pelo menos eu acho que sim. Eu instalei o Debian Minimal 10.2, que é o Buster. Quando eu dou neofetch no meu terminal aparece
OS: Debian GNU/Linux 10 (buster) x86_64  

então, sim, é o Buster.


7. Re: Não consigo instalar Wine [RESOLVIDO]

Felipe Silva
drecksama

(usa Debian)

Enviado em 11/02/2020 - 21:14h

aguamole escreveu:

A versão do winehq-stable da para ver no repositório oficial que por algum motivo eles não compilo a versão.
O winehq-devel esta disponível use esse tem mais recursos.
Repito o problema é no winehq repository esta faltando o pacote.

CPU i5-8400 GTX 750 SofRaid 4xSSD 16GB DDR4 mesmo assim uso Lubuntu.


Deu o mesmo erro com o devel




8. Re: Não consigo instalar Wine [RESOLVIDO]

Felipe Silva
drecksama

(usa Debian)

Enviado em 11/02/2020 - 21:22h

aguamole escreveu:

A versão do winehq-stable da para ver no repositório oficial que por algum motivo eles não compilo a versão.
O winehq-devel esta disponível use esse tem mais recursos.
Repito o problema é no winehq repository esta faltando o pacote.

CPU i5-8400 GTX 750 SofRaid 4xSSD 16GB DDR4 mesmo assim uso Lubuntu.


Consegui resolver o problema por conta própria, mas é o mesmo problema que o aguamole descreveu. Os repositórios do site do Wine não estão compilados, não estão atualizados e não são todos os pacotes que estão lá, então por isso não funciona se você instalar pelos repositórios do site. Então eu usei outros repositórios, no meu caso, eu usei os repositórios do OpenSuse para instalar o Wine, o processo é quase o mesmo, só muda o PPA, e você tem que, além de adicionar a key indicada no site do Wine, adicionar também a key indicada no OpenSuse. Mas, de qualquer forma, o problema está resolvido, é só baixar o PPA por outro repositório.








Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts